PHP Manual
Prev |  | Next

# SDO_DAS_XML::create

(no version information, might be only in CVS)

SDO_DAS_XML::create -- To create SDO_DAS_XML object for a given schema file

## Description

SDO_DAS_XML SDO_DAS_XML::create ( [string xsd_file] )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

This is the only static method of SDO_DAS_XML class. Used to instantiate SDO_DAS_XML object.

## Parameters

xsd_file

  Path to XSD Schema file. This is optional. If omitted a DAS will be created that only has the SDO base types defined. Schema files can then be loaded with the addTypes() method.

## Return Values

Returns SDO_DAS_XML object on success otherwise throws an exception as described below.

## Errors/Exceptions

SDO_TypeNotFoundException

  Thrown if a type is not defined in the underlying model.

SDO_DAS_XML_ParserException

  Thrown for any problems while parsing the given XSD File.

SDO_DAS_XML_FileException

  Thrown if the specified file cannot be found.

Prev | Home | Next
SDO_DAS_XML::addTypes | Up | SDO_DAS_XML::createDataObject